import { StyleSheet } from "react-native";
import { deviceHeight, deviceWidth } from "../../static/Dimensions";
import { StaticFonts } from "../../static/Fonts";
import { Colors } from "../../static/Colors";

export const styles = StyleSheet.create({
  baseComponent: {
    width: deviceWidth,
    height: deviceHeight,
    flex: 1,
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
    position: "relative",
  },
  circleComponentView: {
    position: "absolute",
    width: deviceWidth / 6.5,
    height: deviceHeight / 12,
    right: 20,
    gap: 5,
    top: deviceHeight / 5.5,
    zIndex: 1,
  },
  higherCircle: {
    width: 35,
    height: 35,
    borderRadius: 60,
    backgroundColor: "rgba(255, 255, 255, 0.307)",
    position: "absolute",
    bottom: 0,
    left: 0,
  },
  mediumCircle: {
    width: 25,
    height: 25,
    borderRadius: 60,
    backgroundColor: "rgba(255, 255, 255, 0.307)",
    position: "absolute",
    top: 0,
    right: 10,
  },
  smallerCircle: {
    width: 20,
    height: 20,
    borderRadius: 60,
    backgroundColor: "rgba(255, 255, 255, 0.307)",
    position: "absolute",
    bottom: -5,
    right: 0,
  },
  homeViewMainInformation: {
    width: deviceWidth,
    flex: 1,
    display: "flex",
    flexDirection: "column",
    alignItems: "center",
    justifyContent: "flex-start",
    paddingTop: deviceHeight / 15,
  },
  homeLocationContainer: {
    maxWidth: "90%",
    width: "100%",
    height: "25%",
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    gap: 20,
  },
  locationImageContainer: {
    width: "70%",
    display: "flex",
    flexDirection: "row",
    justifyContent: "flex-start",
    alignItems: "flex-start",
    gap: 20,
  },
  locationImage: {
    width: deviceWidth / 8,
    height: deviceHeight / 16,
    objectFit: "contain",
    borderRadius: 50,
  },
  locationSearchContainer: {
    width: "30%",
    height: "100%",
    display: "flex",
    justifyContent: "center",
    alignItems: "flex-end",
  },
  locationSearchOpacity: {
    width: "100%",
    height: "100%",
    display: "flex",
    justifyContent: "center",
    alignItems: "center",
  },
  locationSearchIcon: {
    width: 40,
    height: 40,
    borderRadius: 60,
    backgroundColor: "rgba(255, 255, 255, 0.307)",
    marginRight: 20,
  },
  locationSelectContainer: {
    width: "45%",
  },
  locationSelectTitle: {
    fontSize: 13,
    fontFamily: StaticFonts[500],
    color: "white",
  },
  welcomeContainer: {
    maxWidth: "90%",
    width: "100%",
    height: "20%",
    display: "flex",
    justifyContent: "center",
    marginTop: 20,
    alignItems: "flex-start",
  },
  welcomeText: {
    fontSize: 16,
    fontFamily: StaticFonts[500],
    color: "rgba(255, 255, 255, 0.777)",
  },
  techmobiContainer: {
    maxWidth: "90%",
    width: "100%",
    height: "35%",
    display: "flex",
    justifyContent: "center",
    alignItems: "flex-start",
    gap: 8,
  },
  techmobiText: {
    fontSize: 22,
    fontFamily: StaticFonts[500],
    color: "white",
    fontWeight: "normal",
  },
  ticketsComponent: {
    width: deviceWidth,
    height: deviceHeight / 1.5,
    borderTopLeftRadius: 30,
    borderTopRightRadius: 30,
    backgroundColor: Colors.mainContrast,
    display: "flex",
    gap: 10,
  },
  ticketTitleContainer: {
    width: deviceWidth,
    height: deviceHeight / 11,
    borderTopLeftRadius: 30,
    borderTopRightRadius: 30,
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    paddingHorizontal: deviceWidth / 15,
    backgroundColor: "white",
  },
  ticketTitle: {
    fontSize: deviceWidth / 20,
    fontFamily: StaticFonts[500],
    fontWeight: "bold",
  },
  ticketsTitleIconsContainer: {
    display: "flex",
    flexDirection: "row",
    justifyContent: "center",
    alignItems: "center",
    gap: 20,
  },
  ticketCardContainer: {
    width: "100%",
    height: deviceHeight,
    flex: 1,
    display: "flex",
    flexDirection: "column",
    justifyContent: "flex-start",
    alignItems: "center",
    gap: 10,
    marginBottom: deviceHeight / 4,
  },
});
